import React, { FC, PropsWithChildren } from 'react'
import { useTheme } from 'react-jss'

import { useStyles } from './styles'

export const ColoredPage: FC<PropsWithChildren> = ({ children }) => {
  const { coloredPageWrapper, childrenWrapper } = useStyles({ ...useTheme() })

  return (
    <div className={coloredPageWrapper}>
      <div className={childrenWrapper}>{children}</div>
    </div>
  )
}
