import React, { FC, PropsWithChildren } from 'react'
import { createUseStyles } from 'react-jss'

import { ThemeProps } from '../../themes'

export const useStyles = createUseStyles((theme: ThemeProps) => {
  const { globalStyles, fonts } = theme
  return {
    ...fonts,
    '@global': globalStyles,
  }
})

const CommonStyles: FC<PropsWithChildren> = ({ children }) => {
  useStyles()
  return <>{children}</>
}

export default CommonStyles
