import * as CSS from 'csstype'

export type ButtonType = {
  button: CSS.Properties
  buttonHover?: CSS.Properties
  buttonActive?: CSS.Properties
  buttonDisabled: CSS.Properties
}

export const ButtonStyles: ButtonType = {
  button: {
    background: '#F6F6F6',
    justifyContent: 'center',
    alignItems: 'center',
    display: 'flex',
    padding: '12px 16px',
    maxWidth: '400px',
    minWidth: '250px',
    width: '100%',
    minHeight: '48px',
    border: 'none',
    borderRadius: '8px',
    cursor: 'pointer',
  },
  buttonDisabled: {
    cursor: 'not-allowed',
    background: '#c5c5d1',
    color: 'white',
  },
  buttonHover: {
    background: '#d17ef',
  },
}
