import * as CSS from 'csstype'

export type GlobalStylesType = {
  [key: string]: CSS.Properties
}

export const GlobalStyles: GlobalStylesType = {
  'body, p, span': {
    lineHeight: '24px',
    fontSize: '16px',
    color: '#202B47',
    fontFamily: 'SF Pro Text',
  },

  span: {
    color: '#868C99',
  },

  h1: {
    fontWeight: 600,
    fontSize: '20px',
  },

  h2: {
    fontWeight: 400,
    fontSize: '18px',
    letterSpacing: '-0.0024em',
    lineHeight: '24px',
  },

  h3: {
    fontWeight: 400,
    fontSize: '14px',
  },
}
